import { CommonRequest, CommonResponse } from './index.js';
export declare class ProxyController {
    /**
     * @param  owner          ID of a User or Organization
     * @param  repo           Name of a Repository
     * @param  id             ID of a Pull Request
     * @param  Authorization  Authorization header
     * @param  Accept         Accept header
     * @param  response
     *
     * @example
     * HTML converted from Diff by Diff2HTML
     * ```html
     * <div class="d2h-wrapper"></div>
     * ```
     */
    getDiffFile(owner: string, repo: string, id: number, Authorization: string | undefined, Accept: string | undefined, response: CommonResponse): Promise<string>;
    /**
     * Other API Proxy
     */
    proxyAll(accept: string | undefined, path: string, body: any, request: CommonRequest, response: CommonResponse): Promise<unknown>;
}
